JvmRouteSessionIDBinderLifecycleListener (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.session.JvmRouteSessionIDBinderLifecycleListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.session
Class JvmRouteSessionIDBinderLifecycleListener

    java.lang.Object
      org.apache.catalina.cluster.session.JvmRouteSessionIDBinderLifecycleListener

All Implemented Interfaces:
  LifecycleListener

public class JvmRouteSessionIDBinderLifecycleListener
extends java.lang.Object
implements LifecycleListener

Register new JvmRouteSessionIDBinderListener to receive Session ID changes. add following at your server.xml Host section

            <Host >...
              <Listener className="org.apache.catalina.cluster.session.JvmRouteSessionIDBinderLifecycleListener" />
              <Cluster ...>
            </Host>

FIXME add Engine support

Author:
  Peter Rossbach

Field Summary
`protected static StringManager` | `sm` Deprecated. The string resources for this package.

Constructor Summary
`JvmRouteSessionIDBinderLifecycleListener()` Deprecated.

Method Summary
`java.lang.String` | `getInfo()` Deprecated. Return descriptive information about this Listener implementation and the corresponding version number, in the format `<description>/<version>`.
`protected javax.management.modelmbean.ModelMBean` | `getManagedBean(java.lang.Object object)` Deprecated. Returns the ModelMBean
`protected javax.management.MBeanServer` | `getMBeanServer()` Deprecated.
`protected javax.management.ObjectName` | `getObjectName(StandardHost host)` Deprecated.
`boolean` | `isEnabled()` Deprecated.
`void` | `lifecycleEvent(LifecycleEvent event)` Deprecated. Acknowledge the occurrence of the specified event.
`void` | `setEnabled(boolean enabled)` Deprecated.
`protected void` | `startSessionIDListener(StandardHost host)` Deprecated. start sessionID mover at cluster
`protected void` | `stopSessionIDListener(StandardHost host)` Deprecated. stop sessionID binder at cluster

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

  Deprecated.
  The string resources for this package.

Constructor Detail

### JvmRouteSessionIDBinderLifecycleListener

    public JvmRouteSessionIDBinderLifecycleListener()

  Deprecated.

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Deprecated.
  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

### stopSessionIDListener

    protected void stopSessionIDListener(StandardHost host)

  Deprecated.
  stop sessionID binder at cluster

  Parameters:
    `host` - clustered host

### getObjectName

    protected javax.management.ObjectName getObjectName(StandardHost host)
                                                 throws javax.management.MalformedObjectNameException

  Deprecated.
  Parameters:
    `host` -
  Returns:
    The object name
  Throws:
    `javax.management.MalformedObjectNameException`

### startSessionIDListener

    protected void startSessionIDListener(StandardHost host)

  Deprecated.
  start sessionID mover at cluster

  Parameters:
    `host` - clustered host

### getMBeanServer

    protected javax.management.MBeanServer getMBeanServer()
                                                   throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### getManagedBean

    protected javax.management.modelmbean.ModelMBean getManagedBean(java.lang.Object object)
                                                             throws java.lang.Exception

  Deprecated.
  Returns the ModelMBean

  Parameters:
    `object` - The Object to get the ModelMBean for
  Returns:
    The ModelMBean
  Throws:
    `java.lang.Exception` - If an error occurs this constructors throws this exception

### isEnabled

    public boolean isEnabled()

  Deprecated.
  Returns:
    Returns the enabled.

### setEnabled

    public void setEnabled(boolean enabled)

  Deprecated.
  Parameters:
    `enabled` - The enabled to set.

### getInfo

    public java.lang.String getInfo()

  Deprecated.
  Return descriptive information about this Listener implementation and the corresponding version number, in the format `<description>/<version>`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.